%define dist DBD-Pg
Name: perl-%dist
Version: 2.6.1
Release: alt1

Summary: PostgreSQL database driver for the DBI module
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Thu Apr 24 2008
BuildRequires: perl-DBI-devel perl-Test-Pod perl-version postgresql-devel

%description
DBD::Pg is an interface driver for connecting the DBMS independent
Perl-API DBI to the PostgreSQL DBMS.

%prep
%setup -q -n %dist-%version
%patch -p1

%build
%ifdef _pgsql_testdb
# createdb -U postgres test
export DBI_DSN=dbi:Pg:dbname=%_pgsql_testdb DBI_USER=postgres
%endif

POSTGRES_INCLUDE=`pg_config --includedir`
POSTGRES_LIB=`pg_config --libdir`
export POSTGRES_INCLUDE POSTGRES_LIB
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc	README Changes
%dir	%perl_vendor_archlib/DBD
	%perl_vendor_archlib/DBD/Pg.pm
%dir	%perl_vendor_autolib/DBD
%dir	%perl_vendor_autolib/DBD/Pg
	%perl_vendor_autolib/DBD/Pg/Pg.so

%changelog
* Thu Apr 24 2008 Alexey Tourbin <at@altlinux.ru> 2.6.1-alt1
- 2.2.2 -> 2.6.1

* Wed Mar 05 2008 Alexey Tourbin <at@altlinux.ru> 2.2.2-alt1
- 2.2.0 -> 2.2.2

* Sun Mar 02 2008 Alexey Tourbin <at@altlinux.ru> 2.2.0-alt1
- 1.49 -> 2.2.0
- fixed a few bugs in C code (rt.cpan.org #33737 #33738 #33743)

* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.49-alt1.0
- Rebuilt due to libpq.so.4 -> libpq.so.5 soname change.

* Mon May 22 2006 Alexey Tourbin <at@altlinux.ru> 1.49-alt1
- 1.48 -> 1.49

* Mon Apr 17 2006 Alexey Tourbin <at@altlinux.ru> 1.48-alt1
- 1.43 -> 1.48
- is_high_bit_set.patch merged upstream (cpan #13406)

* Wed Jun 29 2005 Alexey Tourbin <at@altlinux.ru> 1.43-alt2
- dbdimp.c: fixed is_high_bit_set() loop condition (cpan #13406)

* Fri Jun 24 2005 Alexey Tourbin <at@altlinux.ru> 1.43-alt1
- 1.42 -> 1.43

* Sun May 22 2005 Alexey Tourbin <at@altlinux.ru> 1.42-alt1
- 1.41 -> 1.42
- built against libpq4/postgresql8.0

* Fri Apr 08 2005 Alexey Tourbin <at@altlinux.ru> 1.41-alt1
- 1.40 -> 1.41

* Thu Mar 03 2005 Alexey Tourbin <at@altlinux.ru> 1.40-alt1
- 1.32 -> 1.40
- alt-CLONE.patch merged upstream (Andrew Fediushin, #5403, cpan #11365)

* Thu Feb 03 2005 Alexey Tourbin <at@altlinux.ru> 1.32-alt3
- added CLONE method for use with threads (Andrew Fediushin, #5403, cpan #11365)

* Sun Dec 19 2004 Alexey Tourbin <at@altlinux.ru> 1.32-alt2
- rebuild in new environment
- manual pages not packaged (use perldoc)

* Thu Feb 26 2004 Alexey Tourbin <at@altlinux.ru> 1.32-alt1
- 1.32; autodetect.patch and type_info.patch needed no more

* Sat Feb 07 2004 Alexey Tourbin <at@altlinux.ru> 1.31-alt3
- type_info.patch: fixes segfault (Sir Raorn, #3408)

* Fri Dec 19 2003 Alexey Tourbin <at@altlinux.ru> 1.31-alt2
- fixed PostgreSQL-7.4 autodetection

* Wed Nov 19 2003 Alexey Tourbin <at@altlinux.ru> 1.31-alt1
- 1.31

* Wed Mar 19 2003 Stanislav Ievlev <inger@altlinux.ru> 1.21-alt1
- 1.21

* Mon Nov 04 2002 Stanislav Ievlev <inger@altlinux.ru> 1.13-alt2
- rebuild with new perl

* Tue May 28 2002 Grigory Milev <week@altlinux.ru> 1.13-alt1
- new version released

* Mon Jul 23 2001 Stanislav Ievlev <inger@altlinux.ru> 1.01-alt2
- Rebuilt for new perl.

* Tue Jul 10 2001 Grigory Milev <week@altlinux.ru> 1.01-alt1
- new version (1.01)

* Fri Jun 22 2001 Grigory Milev <week@altlinux.ru> 1.00-alt2
- Fix provides
- Spec rewritten for compatibility with new policy

* Thu Jun 21 2001 Sergey Bolshakov <s.bolshakov@belcaf.com>
- First spec file for ALT Linux distribution.
